Google I/O — это обертка! Наверстать упущенное в сеансах TensorFlow Просмотреть сеансы

Краткое руководство по Python

Использование TensorFlow Lite с Python отлично подходит для встроенных устройств на базе Linux, таких как устройства Raspberry Pi и Coral с Edge TPU , среди многих других.

На этой странице показано, как всего за несколько минут можно запустить модели TensorFlow Lite с помощью Python. Все, что вам нужно, — это модель TensorFlow, преобразованная в TensorFlow Lite . (Если у вас еще нет преобразованной модели, вы можете поэкспериментировать, используя модель, предоставленную с примером, приведенным ниже.)

О пакете среды выполнения TensorFlow Lite

Чтобы быстро приступить к выполнению моделей TensorFlow Lite с помощью Python, вы можете установить только интерпретатор TensorFlow Lite вместо всех пакетов TensorFlow. Мы называем этот упрощенный пакет Python tflite_runtime .

Пакет tflite_runtime представляет собой часть размера полного пакета tensorflow и включает в себя минимальный код, необходимый для выполнения выводов с помощью TensorFlow Lite, в первую очередь класс Interpreter Python. Этот небольшой пакет идеален, когда все, что вы хотите сделать, это выполнить модели .tflite и не тратить место на диске с большой библиотекой TensorFlow.

Установите TensorFlow Lite для Python

Вы можете установить на Linux с помощью pip:

python3 -m pip install tflite-runtime

Поддерживаемые платформы

Колеса Python tflite-runtime предварительно созданы и предоставляются для следующих платформ:

  • Linux armv7l (например, Raspberry Pi 2, 3, 4 и Zero 2 с 32-разрядной ОС Raspberry Pi)
  • Linux aarch64 (например, Raspberry Pi 3, 4 под управлением Debian ARM64)
  • Линукс x86_64

Если вы хотите запускать модели TensorFlow Lite на других платформах, вам следует либо использовать полный пакет TensorFlow, либо собрать пакет tflite-runtime из исходников .

Если вы используете TensorFlow с TPU Coral Edge, вместо этого вам следует следовать соответствующей документации по установке Coral .

Запустите вывод, используя tflite_runtime

Вместо импорта Interpreter из модуля tensorflow теперь вам нужно импортировать его из tflite_runtime .

Например, после установки вышеуказанного пакета скопируйте и запустите файл label_image.py . Это (вероятно) не удастся, потому что у вас не установлена ​​​​библиотека tensorflow . Чтобы исправить это, отредактируйте эту строку файла:

import tensorflow as tf

Вместо этого он гласит:

import tflite_runtime.interpreter as tflite

А затем измените эту строку:

interpreter = tf.lite.Interpreter(model_path=args.model_file)

Итак, он гласит:

interpreter = tflite.Interpreter(model_path=args.model_file)

Теперь снова запустите label_image.py . Вот и все! Теперь вы выполняете модели TensorFlow Lite.

Выучить больше